Bug 447719 - [PATCH] Absent XPath error handling and buffer overflow leading to segfaults
[PATCH] Absent XPath error handling and buffer overflow leading to segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xgrep (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Brendt Wohlberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 07:55 EDT by Lubomir Rintel
Modified: 2008-06-11 23:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 23:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add some error checking and fix a buffer overflow (2.77 KB, text/plain)
2008-05-21 07:55 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2008-05-21 07:55:26 EDT
See attached patch.
Comment 1 Lubomir Rintel 2008-05-21 07:55:26 EDT
Created attachment 306233 [details]
Add some error checking and fix a buffer overflow
Comment 2 Brendt Wohlberg 2008-05-23 16:33:06 EDT
(In reply to comment #1)
> Created an attachment (id=306233) [edit]
> Add some error checking and fix a buffer overflow

Thanks for the patch. Would you be able to give a simple usage example which
triggers the relevant bug?


Comment 3 Lubomir Rintel 2008-05-23 17:26:50 EDT
Oh, of course; I thought the problem is triggered by virtually any incorrect
xpath passwd to xgrep, such as:

xgrep -x 'lala lala lala' some.xml
Comment 4 Fedora Update System 2008-06-02 23:46:33 EDT
xgrep-0.07-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Lubomir Rintel 2008-06-04 18:28:03 EDT
Sorry -- are you serious that you're doing an update for such a minor issue?
Really, do you think it is worth? :)
Comment 6 Fedora Update System 2008-06-06 03:46:51 EDT
xgrep-0.07-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.